import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';
export class RefreshTokenRequestDto {
  @ApiProperty()
  @IsString({ message: i18n('validation.isString', { path: 'general', property: 'auth.refreshToken' }) })
  @IsNotEmpty({ message: i18n('validation.required', { path: 'general', property: 'auth.refreshToken' }) })
  refreshToken!: string;
}
