import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty, IsString } from 'class-validator';
import { i18nValidationMessage as i18n } from 'nestjs-i18n';
export class createCategoryRequestDto {
  @ApiProperty()
  @IsString({ message: i18n('validation.IsString', { path: 'general', property: 'category.name' }) })
  @IsNotEmpty({ message: i18n('validation.IsNotEmpty', { path: 'general', property: 'category.name' }) })
  name!: string;
}
