import KeyvRedis from '@keyv/redis';
import { ConfigService } from '@nestjs/config';
import { Cacheable } from 'cacheable';

export function buildKeyvOptions(config: ConfigService) {
  const secondary = new KeyvRedis(config.get('REDIS_URL'));
  return new Cacheable({ secondary, ttl: config.get('REDIS_TTL') });
}
